unit uMain;

interface

uses
  Windows,
  JvBandObject, JvBandForms, Classes, Controls, ExtCtrls;

type
  // Band Object Factory
  TMyBandFactory = class(TzToolBandObjectFactory)
  end;

  // Band Object
  TMyBand = class(TzToolBandObject)
  protected
    function CreateBandForm(const ParentWnd: THandle): TJvBandForm; override;
  end;

  // Band Form
  TMyBandForm = class(TJvBandForm)
    pnl1: TPanel;
  private
    function GetBandObject: TMyBand;
  public
    property BandObject: TMyBand read GetBandObject;
  end;

const
  Class_MyBand: TGUID = '{647255A1-91B0-49E0-939E-16902EBA4C61}';

implementation

{$R *.dfm}

uses
  ComObj, ComServ;

{ TMyBand }

function TMyBand.CreateBandForm(const ParentWnd: THandle): TJvBandForm;
begin
  Result := TMyBandForm.CreateBandForm(ParentWnd, Self);
end;

{ TMyBandForm }

function TMyBandForm.GetBandObject: TMyBand;
begin
  Result := TMyBand(_BandObject);
end;

initialization
  TMyBandFactory.Create(ComServer, TMyBand, Class_MyBand,
    'MyBand', 'MyBand', ciMultiInstance, tmApartment);

end.